Name: clanlib
Version: 0.6.3
Release: alt2

Summary: The ClanLib Game SDK
License: LGPL
Group: System/Libraries
Url: http://www.%name.org/

Source: http://dark.x.dtu.dk/~mbn/%name/download/download-sphair/ClanLib-%version-1.tar.bz2
Source1: launch_x11_clanapp.sh

Patch2: ClanLib-0.5.0-add-force-x11.patch
Patch4: ClanLib-0.5.3-display-compilation.patch
Patch6: Clanlib-0.6.3-lua.patch
Patch7: ClanLib-0.5.1-opt.patch
Patch8: ClanLib-0.6.3-glx.patch
#Patch9: ClanLib-0.5.4-directfb.patch 

Obsoletes: clanLib, lib%name
Provides: lib%name = %version

Prefix: %prefix

BuildConflicts: OpenPTC-devel

# Automatically added by buildreq on Thu Aug 30 2001
BuildRequires: freetype2-devel gcc-c++ libhermes-devel libjpeg-devel libmikmod-devel libogg-devel libpng-devel libstdc++-devel libvorbis-devel XFree86-devel XFree86-libs zlib-devel tolua-devel

%description
The ClanLib Game SDK is a crossplatform game library designed to ease the work
for game developers. The goal is to provide a common interface to classical
game problems (loading graphics eg.), so games can share as much code as
possible. Ideally anyone with small resources should be able to write
commercial quality games.

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %name = %version-%release, %name-gl = %version-%release, %name-gui = %version-%release, %name-jpeg = %version-%release
Requires: %name-mikmod = %version-%release, %name-network = %version-%release, %name-png = %version-%release, %name-smalljpeg = %version-%release
Requires: %name-sound = %version-%release, %name-ttf = %version-%release, %name-vorbis = %version-%release
Requires: %name-lua = %version-%release
Provides: lib%name-devel = %version
Obsoletes: lib%name-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package devel-static
Summary: Static libraries for developing programs that will use %name
Group: Development/C++
Requires: %name-devel = %version-%release
Provides: lib%name-devel-static = %version

%description devel-static
This package contains the static libraries that programmers will need
to develop applications which will use %name.

%package sound
Summary: ClanLib Sound module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-sound = %version
Obsoletes: lib%name-sound

%description sound
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Sound module (clanSound).

%package lua
Summary: ClanLib Lua module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-lua = %version

%description lua
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Lua module (clanLua).

%package vorbis
Summary: ClanLib Vorbis module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-vorbis = %version
Obsoletes: lib%name-vorbis

%description vorbis
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Vorbis module (clanVorbis).

%package gl
Summary: ClanLib GL module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-gl = %version
Obsoletes: lib%name-gl

%description gl
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the GL module (clanGL).

%package network
Summary: ClanLib Network module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-network = %version
Obsoletes: lib%name-network

%description network
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Network module (clanNetwork).

%package jpeg
Summary: ClanLib Jpeg module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-jpeg = %version
Obsoletes: lib%name-jpeg

%description jpeg
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Jpeg module (clanJPEG).

%package gui
Summary: ClanLib Gui module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-gui = %version
Obsoletes: lib%name-gui

%description gui
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Gui module (clanGUI).

%package ttf
Summary: ClanLib TTF module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-ttf = %version
Obsoletes: lib%name-ttf

%description ttf
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the TTF module (clanTTF).

%package smalljpeg
Summary: ClanLib SmallJPEG module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-smalljpeg = %version
Obsoletes: lib%name-smalljpeg

%description smalljpeg
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the SmallJPEG module
(clanSmallJPEG).

%package mikmod
Summary: ClanLib MikMod module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-mikmod = %version
Obsoletes: lib%name-mikmod

%description mikmod
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the MikMod module (clanMikMod).

%package png
Summary: ClanLib PNG module
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-png = %version
Obsoletes: lib%name-png

%description png
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the PNG module (clanPNG).

%package docs
Summary: ClanLib documentation
Group: System/Libraries
Requires: %name = %version-%release
Provides: lib%name-docs = %version
Obsoletes: lib%name-docs

%description docs
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the documentation.

%prep
%setup -q -n ClanLib-%version
%patch2 -p0
%patch4 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p1

#%patch9 -p1

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set

%define _optlevel 3
%add_optflags %optflags_kernel %optflags_fastmath
%remove_optflags %optflags_notraceback

aclocal-1.6
autoconf_2.5

%ifarch %ix86
  %configure --enable-dyn --disable-debug --disable-directfb
%else
  %configure --enable-dyn --disable-asm386 --disable-debug --disable-directfb
%endif
%make_build all docs

%install
%makeinstall \
	BIN_PREFIX=$RPM_BUILD_ROOT%_bindir \
	LIB_PREFIX=$RPM_BUILD_ROOT%_libdir \
	INC_PREFIX=$RPM_BUILD_ROOT%_includedir \
	TARGET_PREFIX=$RPM_BUILD_ROOT%_libdir/ClanLib
%make_install docs_install \
	MAN_PREFIX=$RPM_BUILD_ROOT%_mandir \
	HTML_PREFIX=$RPM_BUILD_ROOT%_datadir/doc/%name-docs-%version/Docs

install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/launch_x11_clanapp

%post -p /sbin/ldconfig
%post mikmod -p /sbin/ldconfig
%post png -p /sbin/ldconfig
%post sound -p /sbin/ldconfig
%post vorbis -p /sbin/ldconfig
%post network -p /sbin/ldconfig
%post jpeg -p /sbin/ldconfig
%post gui -p /sbin/ldconfig
%post ttf -p /sbin/ldconfig
%post smalljpeg -p /sbin/ldconfig
%post lua -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%postun mikmod -p /sbin/ldconfig
%postun png -p /sbin/ldconfig
%postun sound -p /sbin/ldconfig
%postun vorbis -p /sbin/ldconfig
%postun network -p /sbin/ldconfig
%postun jpeg -p /sbin/ldconfig
%postun gui -p /sbin/ldconfig
%postun ttf -p /sbin/ldconfig
%postun smalljpeg -p /sbin/ldconfig
%postun lua -p /sbin/ldconfig

%files
%_bindir/launch_x11_clanapp
%_libdir/libclanCore.so.*
%_libdir/libclanApp.so.*
%_libdir/libclanDisplay.so.*
%doc README CREDITS

%files devel
%doc CODING_STYLE ascii-logo
%_libdir/*.so
%_includedir/*
%_bindir/*-config

%files devel-static
%_libdir/*.a

%files docs
%doc %_docdir/%name-docs-%version

%files mikmod
%_libdir/libclanMikMod.so.*

%files png
%_libdir/libclanPNG.so.*

%files ttf
%_libdir/libclanTTF.so.*

%files jpeg
%_libdir/libclanJPEG.so.*

%files network
%_libdir/libclanNetwork.so.*

%files vorbis
%_libdir/libclanVorbis.so.*

%files gl
%_libdir/libclanGL.so.*

%files smalljpeg
%_libdir/libclanSmallJPEG.so.*

%files sound
%prefix/lib/libclanSound.so.*

%files lua
%prefix/lib/libclanLua.so.*

%files gui
%prefix/lib/libclanGUI.so.*

#%files mpeg
#%prefix/lib/libclanMPEG.so*

%changelog
* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.6.3-alt2
- Rebuilt in new environment
- Some cpec cleanup

* Wed Aug 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.6.3-alt1
- 0.6.3
- Build with lua
- Added clanlib-lua * clanlib-devel-static packages

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.4-alt1.1
- rebuild with new vorbis
- directfb temporary disabled

* Thu Jan 23 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.5.4-alt1
- 0.5.4
- Fixed requires in -devel package

* Tue Nov 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Thu Oct 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt3
- Rebuilt with libpng.so.3

* Thu Aug 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.5.0-alt2
- Specfile cleanup (no more lib*lib's).

* Wed Aug 29 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.5.0-alt1
- 0.5.0
- Some spec cleanup
- Added optimization
- Added lib%name-gl package

* Sat Jun 30 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-2mdk
- BuildRequires:	freetype-devel --> freetype2-devel
- Removed BuildRequires:	XFree86-devel, zlib-devel

* Tue Jun 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-1mdk
- release 0.5.0

* Thu Apr 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-25mdk
- don't block forever on a busy dsp (patch #5)

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-24mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Thu Mar 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-23mdk
- remove explicit requires on requires, silly me

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-22mdk
- recompile without svgalib

* Fri Feb 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-21mdk
- do not put the launch_x11_clanapp script in the lib package!
- provides devel-lib with version
- put subpackages' devel files in generic devel package

* Mon Feb 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-20mdk
- fix BuildRequires (libbzip2-devel, thx to Jeff)

* Fri Dec  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-19mdk
- fix BuildRequires

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-18mdk
- new lib policy

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-17mdk
- provides ClanLib for compatibility

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-16mdk
- rebuild to have correct deps (e.g. sucking libraries linked to themselves)
- change name to clanlib (e.g. uppercase names suck)
- rebuild against lowercased hermes

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-15mdk
- really recompile against newest libstdc++

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-14mdk
- recompile against newest libstdc++

* Mon Oct 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-13mdk
- fix no-newline-at-end-of-some-sourcefiles that bothers gcc-2.96

* Mon Oct 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4.4-12mdk
- Fix gcc2.96 compilation;

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.4.4-11mdk
- Don't use i386 code on non i386 compatibles archs
- Let configure do is job on PPC (and really don't use i386 code)

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-10mdk
- rebuild against fixed XFree-4 by fredl

* Fri Sep  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-9mdk
- fixed BuildRequires: removed ClanLib-devel, added XFree86-static-libs,
  ImageMagick >= 5.0.0
- removed nasty static -march=pentium, /me sucks

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-8mdk
- added the optional force of x11 target (envvar CLANLIB_FORCE_X11_DISPLAY)
- added a script to launch clanlib apps with force x11 target

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-7mdk
- added more documentation in subpackages

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-6mdk
- automatically added packager tag

* Wed Aug 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.4-5mdk
- corrected BuildRequires for archs other than ix86.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.4-4mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-3mdk
- not 100% sure with the 2mdk

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-2mdk
- integrated patch to ImageMagick stuff from the clanlib-devel mailing
  list, thanks to the help of Ingo Ruhnke <grumbel@gmx.de>; it was a
  contribution from Matt Kimball <mkimball@veriomail.com>

* Mon Jul 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-1mdk
- took SRPM from ClanLib web site
- Mandrake adaptations
- ugly: take the Magick stuff from CVS to compile with ImageMagick 5
- mega headache; had to redefine CXXFLAGS to remove -mcpu=pentiumpro
